using System;
using System.IO;

namespace Sample
{
	class Test
	{		
		static void Main(string[] args)
		{
            //Convert HTML string to PDF bytes
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			//v.Serial = "XXXXXXXXXXXXXXX";
			
			//specify converting options
			v.PageStyle.PageSize.Auto();
			//v.PageStyle.PageMarginLeft.Inch(1);
			//v.ImageStyle.Heightmm(150);
			//v.ImageStyle.WidthInch(10);

			//Specify top and bottom page margins
			v.PageStyle.PageMarginTop.Mm(5f);
			v.PageStyle.PageMarginBottom.Mm(5f);
		
			//To make PDF optimal by size and quality we recommend following:
			//For JPEG images  specify the quality to 80, for HTML, PNG and GIF set it to 100
			v.ImageStyle.Quality=100;
            //set it 3 seconds to HTML with a lot of JavaScripts, like a Google Maps
            v.ImageStyle.HtmlTimeOutForScripts = 0f;

            string html = "<html><body><b>Sample Bold Text</b></body></html>";

            //Convert HTML string to PDF bytes
            byte[] pdf = v.ConvertHtmlStringToPDFStream(html);

            if (pdf != null)
            {
                string pdfPath = @"..\..\..\..\..\hardcopy.pdf";
                //3. Save to PDF file
                FileStream fs = new FileStream(pdfPath, FileMode.Create, FileAccess.Write);
                fs.Write(pdf, 0, pdf.Length);
                fs.Close();
                System.Diagnostics.Process.Start(pdfPath);
            }
		}
	}
}
