Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.IO

Partial Public Class _Default
	Inherits System.Web.UI.Page

	Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
		If TextBoxURl.Text = "" Then
			Result.Text = "Please type any URL before start converting!"
			Return
		End If

		Dim v As New SautinSoft.PdfVision()

		Dim pdfBytes() As Byte = Nothing

		'Specify top and bottom page margins
		v.PageStyle.PageMarginTop.Mm(5F)
		v.PageStyle.PageMarginBottom.Mm(5F)

		'convert URL to pdf stream
		pdfBytes = v.ConvertHtmlFileToPDFStream(TextBoxURl.Text)


		'show PDF
		If pdfBytes IsNot Nothing Then
			Response.Buffer = True
			Response.Clear()
			Response.ContentType = "application/PDF"
			'Response.AddHeader("Content-Disposition:", "attachment; filename=Result.pdf");
			Response.AddHeader("Content-Disposition:", "inline; filename=Result.pdf")
			Response.BinaryWrite(pdfBytes)
			Response.Flush()
			Response.End()
		Else
			Result.Text = "Converting failed!"
		End If
	End Sub
End Class
