Imports System.IO

Namespace Sample
	Friend Class Test

		Shared Sub Main(ByVal args() As String)

			'Convert HTML file/url to PDF file
			Dim v As New SautinSoft.PdfVision()

			v.PageStyle.PageOrientation.Portrait()

			Dim image() As Byte = v.ConvertHtmlFileToImageStream(Path.GetFullPath("..\..\..\..\..\test.htm"), SautinSoft.PdfVision.eImageFormat.Png)
			Dim ret As Integer = -1

			If image IsNot Nothing Then
				v.PageStyle.PageSize.Auto()
				ret = v.ConvertImageStreamToPDFFile(image, "..\..\..\..\..\Result_small.pdf")
			End If

			' 0 - converting successfully
			' 1 - can't open input file, check the input path
			' 2 - can't create output file, check the output path
			' 3 - converting failed
			If ret = 0 Then
				'Show produced pdf in Acrobat Reader
				System.Diagnostics.Process.Start("..\..\..\..\..\Result_small.pdf")
			End If
		End Sub
	End Class
End Namespace
